
///////////////////////////////////////////////////////////////////////////
// DOCB Code
// Version 1.0, Feb. 2002
// Zhen He
// Australian National University
// misc.h: Some misc. functions  
///////////////////////////////////////////////////////////////////////////

#include <hash_map.h>
#include <set.h>
#include <multimap.h>


int round(float num) {

  if ((int)( num + 0.5) > (int)(num)) {
    return (int) (num + 0.5);
  }
  else {
    return (int) num;
  }

}

int max_int(int a, int b) {

  if (a > b) {
    return a;
  }
  else {
    return b;
  }

}


int min_int(int a, int b) {

  if (a > b) {
    return a;
  }
  else {
    return b;
  }

}

struct eqoid
{
  bool operator()(const int oid1, const int oid2) const
  {
    return (oid1==oid2);
  }
};


struct int_cmp {
  bool operator() (const int d1, const int d2) {
    return (d1 > d2);
  }
};



struct eqint {
    bool operator() (const int d1, const int d2) {
    return (d1 == d2);
  }
};


typedef hash_map<int, int, hash<int>, eqoid> MPurposeMap_t;
typedef hash_map<int, int, hash<int>, eqoid>::const_iterator MP_const_iter_t;

typedef hash_map<int, float, hash<int>, eqoid> MPurposeMapFloat_t;
typedef hash_map<int, float, hash<int>, eqoid>::const_iterator 
MPF_const_iter_t;


